Bug 674207

Summary: Review Request: python-cloudfiles - Python language bindings for Rackspace CloudFiles API
Product: [Fedora] Fedora Reporter: BJ Dierkes <derks>
Component: Package ReviewAssignee: Rahul Sundaram <metherid>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: acturneruk, fedora-package-review, metherid, notting
Target Milestone: ---Flags: metherid: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-cloudfiles-1.7.8-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-09 03:08:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description BJ Dierkes 2011-02-01 00:03:10 UTC
SPEC: http://5dollarwhitebox.org/fedora/python-cloudfiles.spec
SRPMS: http://5dollarwhitebox.org/fedora/python-cloudfiles-1.7.7-1.fc14.src.rpm

Description: python-cloudfiles provides a simple interface to the Rackspace
Cloud Files service. "Cloud Files is reliable, scalable and affordable
web-based storage for backing up and archiving all your static content". Find
out more at <http://www.rackspacecloud.com/cloud_hosting_products/files>.

$ rpmlint -i SPECS/python-cloudfiles.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i RPMS/noarch/python-cloudfiles-1.7.7-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 BJ Dierkes 2011-02-01 00:04:03 UTC
*** Bug 542436 has been marked as a duplicate of this bug. ***

Comment 2 Rahul Sundaram 2011-02-11 02:15:30 UTC
http://download.github.com/rackspace-python-cloudfiles-1.7.7-0-ge8fd112.tar.gz is not accessible.  Fix that

APPROVED

Comment 3 Rahul Sundaram 2011-02-15 14:57:54 UTC
Ping?

Comment 4 BJ Dierkes 2011-02-15 16:57:46 UTC
Sorry for the delay... been really busy.

So, I found that the URL for the download is a cache.... and removed after some time.  I really am not sure how best to handle GitHub downloads as the upstream source.  I spoke with the maintainers upstream and they feel its a non-issue.... and there has to be tons of other fedora packages that use GitHub as upstream.

Not sure how to move forward.... but let me revisit this all again today.

Comment 5 BJ Dierkes 2011-02-16 21:53:36 UTC
I've started a thread on the devel list... definitely not the first package to have issues with GitHub.  For now i've updated Source0 to use the PyPi download location (also maintained by the upstream vendor).  

SPEC: http://5dollarwhitebox.org/fedora/python-cloudfiles.spec
SRPM: http://5dollarwhitebox.org/fedora/python-cloudfiles-1.7.8-1.fc14.src.rpm

$ rpmlint -i SPECS/python-cloudfiles.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i RPMS/noarch/python-cloudfiles-1.7.8-1.fc14.noarch.rpm 
python-cloudfiles.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Working with upstream to fix their source tarbal to include ChangeLog/COPYING etc.

Comment 6 Rahul Sundaram 2011-03-01 10:38:47 UTC
Can you import this package into rawhide and Fedora 15?  I need it for enabling rackspace cloud support in Deja-dup and we are nearing the Alpha release.

Comment 7 BJ Dierkes 2011-03-01 20:12:51 UTC
I can't do anything until a formal review is completed.  

http://fedoraproject.org/wiki/Package_Review_Process#Reviewer

Comment 8 BJ Dierkes 2011-03-01 20:16:27 UTC
I see you added the flag... but you gotta post more than just 'approved':

Include the text of your review in a comment in the ticket. For easy readability, simply use a regular comment instead of an attachment.

Comment 9 Rahul Sundaram 2011-03-02 04:00:13 UTC
*shrug*   there isn't much of a review text here and I haven't added any attachments.  If you want a checklist of items, here you go:

*  Follows the naming guidelines
*  rpmlint has no warnings and errors
*  License is acceptable and the license tag is correct
*  Redundant but harmless buildroot definition and %clean section
*  Verified build and run time requirements with a mock build
*  %doc should include license information.  Not done.  
*  Macro definitions follows guidelines

Comment 10 BJ Dierkes 2011-03-02 17:57:49 UTC
Sorry, the above was a quote from Package Review Process.  The text of the review is the 'pass' / 'fail' output for each item of the Must Have's, and Should Have's check list:

http://fedoraproject.org/wiki/Packaging:ReviewGuidelines


I use the following:

http://fedoraproject.org/wiki/User:Jlaska/Package_Review_Checklist


I'm not trying to be a hard ass.... just, following the standard process.  Also, please assign the bug to you if you as you have/are doing the review.

Thanks.

Comment 11 Rahul Sundaram 2011-03-03 05:37:24 UTC

There isn't a standard check list.  Just a whole bunch of different ones floating around.  I have checked it against what applies in this case.

Comment 12 BJ Dierkes 2011-03-04 19:11:48 UTC
New Package SCM Request
=======================
Package Name: python-cloudfiles
Short Description: Python language bindings for Rackspace CloudFiles API
Owners: derks jeffreyness
Branches: EL5 EL6 FC14 FC15 devel
InitialCC:

Comment 13 BJ Dierkes 2011-03-04 19:12:52 UTC
New Package SCM Request
=======================
Package Name: python-cloudfiles
Short Description: Python language bindings for Rackspace CloudFiles API
Owners: derks jeffreyness
Branches: el5 el6 f14 f15 
InitialCC:

Comment 14 Jason Tibbitts 2011-03-04 21:20:21 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2011-03-05 01:14:57 UTC
python-cloudfiles-1.7.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-cloudfiles-1.7.8-1.fc14

Comment 16 Fedora Update System 2011-03-05 01:15:00 UTC
python-cloudfiles-1.7.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-cloudfiles-1.7.8-1.el5

Comment 17 Fedora Update System 2011-03-05 01:15:13 UTC
python-cloudfiles-1.7.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-cloudfiles-1.7.8-1.el6

Comment 18 Fedora Update System 2011-03-05 01:15:16 UTC
python-cloudfiles-1.7.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-cloudfiles-1.7.8-1.fc15

Comment 19 Fedora Update System 2011-03-05 19:23:32 UTC
python-cloudfiles-1.7.8-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-cloudfiles'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-cloudfiles-1.7.8-1.fc15

Comment 20 Fedora Update System 2011-03-09 03:08:16 UTC
python-cloudfiles-1.7.8-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 21 Fedora Update System 2011-03-13 21:21:28 UTC
python-cloudfiles-1.7.8-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 22 Fedora Update System 2011-03-22 16:30:55 UTC
python-cloudfiles-1.7.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 23 Fedora Update System 2011-03-22 16:32:12 UTC
python-cloudfiles-1.7.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.